import type { NobjcObject } from "objc-js";
import type { _NSCoder } from "./NSCoder.js";
import type { _NSCopying } from "./NSCopying.js";
import type { _NSDictionary } from "./NSDictionary.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSString } from "./NSString.js";
export declare class _NSNotification extends _NSObject {
    static alloc(): _NSNotification;
    static new(): _NSNotification;
    static notificationWithName$object$(aName: _NSString, anObject: NobjcObject | null): _NSNotification;
    static notificationWithName$object$userInfo$(aName: _NSString, anObject: NobjcObject | null, aUserInfo: _NSDictionary | null): _NSNotification;
    initWithName$object$userInfo$(name: _NSString, object_: NobjcObject | null, userInfo: _NSDictionary | null): _NSNotification;
    initWithCoder$(coder: _NSCoder): _NSNotification | null;
    init(): _NSNotification;
    name(): _NSString;
    object(): NobjcObject | null;
    userInfo(): _NSDictionary | null;
}
export interface _NSNotification extends _NSCopying {
}
